
._textareaContainer_1yftv_2 {
  position: relative;
  padding: 8px;
  border-radius: 8px;
  overflow: hidden;
}
._hasPreview_1yftv_9,
._textareaContainer_1yftv_2:focus-within {
._toolbar_1yftv_11 {
    opacity: 1;
    transform: translateY(0rem);
    pointer-events: auto;
}
}
._hasPreview_1yftv_9 ._preview_1yftv_18 {
  opacity: 1;
  transform: translateY(0rem);
  pointer-events: auto;
}
._preview_1yftv_18 {
  position: absolute;
  top: 8px;
  left: 8px;
  right: 8px;
  bottom: 42px;
  overflow-y: auto;
  opacity: 0;
  transform: translateY(0.5rem);
  pointer-events: none;
  transition: all 0.2s ease;
>:first-child {
    margin-top: 12px;
}
}
._textarea_1yftv_2 {
  resize: none;
  outline: none;
  border: none;
  display: block;
  width: 100%;
  padding: 8px 12px 8px;
}
._toolbar_1yftv_11 {
  display: flex;
  align-items: center;
  position: relative;
  opacity: 0;
  transform: translateY(1rem) scale(1.03);
  pointer-events: none;
  transition: all 0.2s ease;
  flex-wrap: wrap;
  margin-block-end: -8px;
  margin-inline: -8px;
}
._letterCount_1yftv_63 {
  opacity: 0.7;
}
